<fieldset ngModelGroup="address" *ngIf="address">
  <div class="form-row">
    <div class="form-group col-md-10">
      <div>
        <label for="streetInput" [ngClass]="{'required' : required}">Straße</label>
        <input id="streetInput" class="form-control" type="text"
               #street="ngModel" [(ngModel)]="address.street"
               name="streetInput" placeholder="z.B. Hauptstraße"
               [required]="required"
               >
        <app-show-form-errors [control]="street"></app-show-form-errors>
      </div>
    </div>
    <div class="form-group col-md-2">
      <label for="numberInput" [ngClass]="{'required' : required}">Nr.</label>
      <input id="numberInput" class="form-control" type="text"
             #number="ngModel" [(ngModel)]="address.number"
             name="numberInput" placeholder="z.B. 1"
             maxlength="5" [required]="required">
      <app-show-form-errors [control]="number"></app-show-form-errors>
    </div>
  </div>
  <div class="form-row">
    <div class="form-group col-md-3">
      <label for="postalCodeInput" [ngClass]="{'required' : required}">Postleitzahl</label>
      <input id="postalCodeInput" class="form-control" type="text"
             #postalCode="ngModel" [(ngModel)]="address.postalCode"
             name="postalCodeInput" placeholder="z.B. 12345"
             maxlength="8"[required]="required">
      <app-show-form-errors [control]="postalCode"></app-show-form-errors>
    </div>
    <div class="form-group col-md-9">
      <label for="cityInput" [ngClass]="{'required' : required}">Ort</label>
      <input id="cityInput" type="text" class="form-control"
             #city="ngModel" [(ngModel)]="address.city"
             name="cityInput" placeholder="z.B. Musterstadt"
             [required]="required">
      <app-show-form-errors [control]="city"></app-show-form-errors>
    </div>
  </div>
  <div class="form-row">
    <div class="form-group col-md-4">
      <label for="countryInput">Land</label>
      <input id="countryInput" class="form-control" type="text"
             #country="ngModel" [(ngModel)]="address.country"
             name="countryInput" placeholder="z.B. D">
      <app-show-form-errors [control]="country"></app-show-form-errors>
    </div>
    <div class="form-group col-md-8">
      <label for="customInput">Adresszusatz</label>
      <input id="customInput" class="form-control" type="text"
             #custom="ngModel" [(ngModel)]="address.custom"
             name="customInput" placeholder="z.B. Appartment 3a">
      <app-show-form-errors [control]="custom"></app-show-form-errors>
    </div>
  </div>
</fieldset>
